Subject: bug#20968: 25.0.50; Be able to specify the output directory for `byte-compile-file'

From: Glenn Morris <[email-masked]>
Date: Fri, 03 Jul 2015 13:12:21 -0400

Stefan Monnier wrote:

> The case I know of where the .elc and .el are not next to each other is
> to place the byte-compiled files in a directory specific to the Emacs
> version used to compile.  This is used in Debian so as to be able to
> have Elisp packages and byte-compiled for many different
> (X)Emacs versions.

I had a vague memory that this caused Some Issues, but I don't remember
any details.